httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ਜਤਿੰਦਰ ਸਿੰਘ <jatindersing...@gmail.com>
Subject Re: [users@httpd] Compile apache 2.4 on solaris 10 sparc with 64 bit openssl issue
Date Fri, 03 Apr 2015 18:22:37 GMT
I am able to install successfully.
changed archive "ar" in my path from /usr/ccs/bin/ar to
/usr/ccs/bin/sparcv9/ar..

I tried with shared -fpic - without success. I didnt try other options.

Thanks a lot team. I appreciate everyone's help.

On Fri, Apr 3, 2015 at 1:06 PM, ਜਤਿੰਦਰ ਸਿੰਘ <jatindersingh84@gmail.com>
wrote:

> i will post back - i may have a working configuration.
>
> On Fri, Apr 3, 2015 at 12:14 PM, Andy Wang <awang@ptc.com> wrote:
>
>> On 04/03/2015 12:09 PM, Andy Wang wrote:
>>
>>>
>>> The trick is to use Configure directly.
>>>
>>> This is what I do for sparc:
>>> OPENSSL_TARGET=solaris64-sparcv9-gcc
>>> OPENSSL_CONFIG="./Configure $OPENSSL_TARGET --prefix=$OPENSSL_ROOT
>>> threads shared"
>>>
>>> I also set
>>> CC="gcc -static-libgcc"
>>> CFLAGS="-m64"
>>>
>>> But I can't remember if those were necessary for openssl or for one of
>>> the other dependencies.
>>>
>>>
>>>
>> "solaris64-sparcv9-gcc","gcc:-m64 -mcpu=ultrasparc -O3 -Wall
>> -DB_ENDIAN::-D_REEN
>> TRANT:ULTRASPARC:-lsocket -lnsl -ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_INT
>> DES_PTR
>>  DES_RISC1 DES_UNROLL BF_PTR:${sparcv9_asm}:dlfcn:solaris-shared:-fPIC:-m64
>> -sha
>> red:.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR):::/64",
>>
>> okay CFLAGS="-m64" isn't necessary for openssl.
>> -static-libgcc was to avoid needing to have libgcc_s.so available at
>> runtime.
>>
>> Andy
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
>> For additional commands, e-mail: users-help@httpd.apache.org
>>
>>
>
>
> --
> KRegards || Jatinder Singh
>



-- 
KRegards || Jatinder Singh

Mime
View raw message